Skip to main content
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

ruleResultId
string<uuid>
required

The rule result id.

Response

Status OK.

id
string<uuid>
required
read-only

The rule result id.

Example:

"5b7d9f1a-2c3e-4d5f-8a6b-9c0d1e2f3a4b"

workspaceId
string<uuid>
required
read-only

The id of the workspace the rule result belongs to.

ruleId
string<uuid>
required
read-only

The rule this result belongs to.

status
enum<string>
required

The compliance status of the rule for this entity.

Available options:
running,
passing,
failing,
skipped,
error,
pending,
due_soon
Example:

"passing"

deactivated
boolean
default:false
required

Whether this result is excluded from compliance calculations.

dateCreated
string<date-time>
required
read-only

The creation date.

Example:

"2026-03-22T11:31:01.185Z"

dateUpdated
string<date-time>
required
read-only

The last update date.

Example:

"2026-03-22T11:31:01.185Z"

projectId
string<uuid> | null
read-only

The project this result was evaluated for. null for workspace-scoped rules.

statusMessage
string | null

A human-readable explanation of the status.

dateLastEvaluated
string<date-time> | null
read-only

When the rule was last evaluated. Platform rules only.

dateOfNextEvaluation
string<date-time> | null
read-only

When the rule will next be evaluated. Platform rules only.

dateOfLatestEvidence
string<date-time> | null
read-only

When the most recent piece of evidence was attached. Evidence rules only.

dateOfRenewal
string<date-time> | null
read-only

When the evidence must be renewed. Evidence rules with a renewal cadence only.

deactivatedReason
string | null

Why the result was excluded.

assigneeId
string<uuid> | null

The user responsible for this result.

blockedBy
object[]

Rule results that must pass before this one can be satisfied.

blocking
object[]

Rule results that this one blocks.